# haproxy-template

short template for certbot dns-01 with renew option (Alpine 3.19 / LXC Proxmox)

## Installation

Add Edge Repos to /etc/apk/repositories
```
cat <<EOF >> /etc/apk/repositories
@edge https://dl-cdn.alpinelinux.org/alpine/edge/main
@edgecommunity https://dl-cdn.alpinelinux.org/alpine/edge/community
@edgetesting https://dl-cdn.alpinelinux.org/alpine/edge/testing
EOF
```

Update system & install utils
```
apk update -y && apk upgrade -y && apk add nano
```

Make Folder structure
```
cd && mkdir -p /storage/certs && mkdir -p /storage/cf-tokens && mkdir -p /storage/hooks && chmod 777 -R /storage
```

Install haproxy and cloudflare-dns
```
apk add haproxy certbot@edgecommunity certbot-dns-cloudflare@edgecommunity
```

